> ## Documentation Index
> Fetch the complete documentation index at: https://docs.liveavatar.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Secret

> Delete a secret by id.

This endpoint:
- Requires API key authentication
- Permanently deletes the encrypted secret from the database

Args:
    service: Injected secrets service
    secret_id: The id of the secret to delete

Returns:
    Response confirming deletion

Raises:
    400 Bad Request: If user doesn't have an associated space
    404 Not Found: If the secret doesn't exist



## OpenAPI

````yaml /openapi.json delete /v1/secrets/{secret_id}
openapi: 3.1.0
info:
  title: Live avatar API
  version: 0.1.0
servers:
  - url: https://api.liveavatar.com
security: []
paths:
  /v1/secrets/{secret_id}:
    delete:
      tags:
        - Secrets
      summary: Delete Secret
      description: |-
        Delete a secret by id.

        This endpoint:
        - Requires API key authentication
        - Permanently deletes the encrypted secret from the database

        Args:
            service: Injected secrets service
            secret_id: The id of the secret to delete

        Returns:
            Response confirming deletion

        Raises:
            400 Bad Request: If user doesn't have an associated space
            404 Not Found: If the secret doesn't exist
      operationId: delete_secret_v1_secrets__secret_id__delete
      parameters:
        - name: secret_id
          in: path
          required: true
          schema:
            type: string
            title: Secret Id
        - name: la_session
          in: cookie
          required: false
          schema:
            title: La Session
            type: string
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Response_NoneType_'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    Response_NoneType_:
      properties:
        code:
          type: integer
          title: Code
          default: 100
        data:
          type: 'null'
          title: Data
        message:
          title: Message
          type: string
      type: object
      title: Response[NoneType]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          title: Message
          type: string
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-KEY

````